ssh_bind_callbacks(3)

NAME
ssh_bind_callbacks - These are the callbacks exported by the ssh_bind structure.

SYNOPSIS

#include <include/libssh/server.h>

  Data Fields
ssh_bind_incoming_connection_callback incoming_connection
A new connection is available.
size_t size
DON'T SET THIS use ssh_callbacks_init() instead.

Detailed Description

These are the callbacks exported by the ssh_bind structure. They are called by the server module when events appear on the network.

Field Documentation

  ssh_bind_incoming_connection_callback ssh_bind_callbacks::incoming_connection

A new connection is available.

  size_t ssh_bind_callbacks::size

DON'T SET THIS use ssh_callbacks_init() instead.

Author

Generated automatically by Doxygen for libssh from the source code.